From d51ad3e759331d7d79c6675c5d22541280bf9a70 Mon Sep 17 00:00:00 2001
From: Xeonacid <h.dwwwwww@gmail.com>
Date: Tue, 5 Oct 2021 00:04:08 +0800
Subject: [PATCH] Remove dynamic exception specifications

ISO C++17 does not allow dynamic exception specifications.

(https://github.com/lastfm/liblastfm/pull/41)
---
 src/fingerprint/Fingerprint.cpp | 4 ++--
 src/fingerprint/Fingerprint.h   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/fingerprint/Fingerprint.cpp b/src/fingerprint/Fingerprint.cpp
index 55f77a45..3817fcee 100644
--- a/src/fingerprint/Fingerprint.cpp
+++ b/src/fingerprint/Fingerprint.cpp
@@ -94,7 +94,7 @@ lastfm::Fingerprint::data() const
 
 
 void
-lastfm::Fingerprint::generate( FingerprintableSource* ms ) throw( Error )
+lastfm::Fingerprint::generate( FingerprintableSource* ms )
 {
     //TODO throw if we can't get required metadata from the track object
     
@@ -306,7 +306,7 @@ lastfm::Fingerprint::submit() const
 
 
 void
-lastfm::Fingerprint::decode( QNetworkReply* reply, bool* complete_fingerprint_requested ) throw( Error )
+lastfm::Fingerprint::decode( QNetworkReply* reply, bool* complete_fingerprint_requested )
 {
     // The response data will consist of a number and a string.
     // The number is the fpid and the string is either FOUND or NEW
diff --git a/src/fingerprint/Fingerprint.h b/src/fingerprint/Fingerprint.h
index 537d08c3..9ac0dbd5 100644
--- a/src/fingerprint/Fingerprint.h
+++ b/src/fingerprint/Fingerprint.h
@@ -71,7 +71,7 @@ namespace lastfm
         };
 
         /** This is CPU intensive, do it in a thread in your GUI application */
-        void generate( FingerprintableSource* ) throw( Error );
+        void generate( FingerprintableSource* );
 
         /** Submits the fingerprint data to Last.fm in order to get a FingerprintId
           * back. You need to wait for the QNetworkReply to finish before you can
@@ -82,7 +82,7 @@ namespace lastfm
           * will be valid. Otherwise we will throw. You always get a valid id
           * or a throw.
           */
-        void decode( QNetworkReply*, bool* lastfm_needs_a_complete_fingerprint = 0 ) throw( Error );
+        void decode( QNetworkReply*, bool* lastfm_needs_a_complete_fingerprint = 0 );
     };
 
 
